{ lib
, config
, ... }: with lib; let
  cfg = config.global.fs;
in mkIf (cfg.type == "ext4") {
  fileSystems."/nix" =
  { device = "/dev/disk/by-uuid/${cfg.store}";
    fsType = "ext4";
    options = [ "noatime" ];
  };
}
